;Honda Commands

;================================================================
;-| Stuff |------------------------------------------------------
;================================================================

[ReMap]
a = a
b = b
c = c
x = x
y = y
z = z
s = s

[Defaults]
Command.Time = 15
Command.Buffer.Time = 3

;================================================================
;-| LDM |--------------------------------------------------------
;================================================================

[Command]
name = "hcbx2_z"
command = ~F,$D,B,F,$D,B, z
time = 30

[Command]
name = "cB,F,B,F z"
command = ~30$B, $F, B, F, z
time = 30

;================================================================
;-| DM |--------------------------------------------------------
;================================================================

[Command]
name = "cB,F,B,F x"
command = ~30$B, $F, B, F, x
time = 30

[Command]
name = "cB,F,B,F y"
command = ~30$B, $F, B, F, y
time = 30

[Command]
name = "cB,F,B,F a"
command = ~30$B, $F, B, F, a
time = 30

[Command]
name = "cB,F,B,F b"
command = ~30$B, $F, B, F, b
time = 30

;================================================================
;-| SPECIALS |---------------------------------------------------
;================================================================

[Command]
name = "cB,F x"
command = ~30$B, $F, x

[Command]
name = "cB,F y"
command = ~30$B, $F, y

[Command]
name = "xxxxx"
command = x,x,x,x,x
time = 60
buffer.time = 5

[Command]
name = "xxxxx"
command = x,y,x,y,x
time = 60
buffer.time = 5

[Command]
name = "xxx"
command = x,x,x
time = 40
buffer.time = 5

[Command]
name = "xx"
command = x,x
time = 40
buffer.time = 5

[Command]
name = "yyyyy"
command = y,y,y,y,y
time = 60
buffer.time = 5

[Command]
name = "yyyyy"
command = y,x,y,x,y
time = 60
buffer.time = 5

[Command]
name = "yyy"
command = y,y,y
time = 40
buffer.time = 5

[Command]
name = "yy"
command = y,y
time = 40
buffer.time = 5

[Command]
name = "cD,U a"
command = ~30$D, $U, a

[Command]
name = "cD,U b"
command = ~30$D, $U, b

[Command]
name = "hcb,F x"
command = ~F, $D, B, F, x
time = 30

[Command]
name = "hcb,F y"
command = ~F, $D, B, F, y
time = 30

[Command]
name = "dp a"
command = ~F, D, F, a
time = 30

[Command]
name = "dp b"
command = ~F, D, F, b
time = 30

;================================================================

;================================================================
;-| DOUBLE TAP |-------------------------------------------------
;================================================================

[Command]
name = "FF"
command = ~F, F
time = 10

[Command]
name = "BB"
command = ~B, B
time = 10

[Command]
name = "FBF"
command = ~F, B, F
time = 10

[Command]
name = "BFB"
command = ~B, F, B
time = 10

;================================================================

;================================================================
;-| 2/3 button combination |-------------------------------------
;================================================================

[Command]
name = "recovery"
command = c
time = 1

[Command]
name = "recovery"
command = x+a
time = 1

[Command]
name = "knockdown"
command = z
time = 1

[Command]
name = "knockdown"
command = y+b
time = 1

;================================================================

;================================================================
;-| Hold Button |------------------------------------------------
;================================================================

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "hold_c"
command = /$c
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

[Command]
name = "hold_z"
command = /$z
time = 1

;================================================================

[Command]
name = "longjump"
command = ~$D, $U
time = 18

;================================================================
;-| SINGLE BUTTON |----------------------------------------------
;================================================================


[Command]
name = "a"
command = a
time = 1


[Command]
name = "b"
command = b
time = 1


[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1


[Command]
name = "start"
command = s
time = 1
;================================================================

;================================================================
;-| HOLD DIRECTION |---------------------------------------------
;================================================================

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;================================================================
;-| TAP BUTTON |-------------------------------------------------
;================================================================

[Command]
name = "tap_a"
command = ~a
time = 1

[Command]
name = "tap_b"
command = ~b
time = 1

[Command]
name = "tap_x"
command = ~x
time = 1

[Command]
name = "tap_y"
command = ~y
time = 1

;====================<DIR>====================

[Command]
name="fwd"
command=F
time=1
[Command]
name="back"
command=B
time=1
[Command]
name="up"
command=U
time=1
[Command]
name="down"
command=D
time=1

;------------------------------------------------------------------------------
;-| AINp |-----------------------------------------------------------------

;p[Command]
[Command]
name = "F"
command = $F
time = 1
[Command]
name = "B"
command = $B
time = 1
[Command]
name = "U"
command = $U
time = 1
[Command]
name = "D"
command = $D
time = 1

;ltOp[Command]Fx͓ŖȂB
[Command]
name = "AI"
command = a
time = 1
[Command]
name = "AI"
command = b
time = 1
[Command]
name = "AI"
command = c
time = 1
[Command]
name = "AI"
command = x
time = 1
[Command]
name = "AI"
command = y
time = 1
[Command]
name = "AI"
command = z
time = 1
[Command]
name = "AI"
command = s
time = 1
[Command]
name = "AI"
command = $F
time = 1
[Command]
name = "AI"
command = $B
time = 1
[Command]
name = "AI"
command = $U
time = 1
[Command]
name = "AI"
command = $D
time = 1

;AIp[Command]Fx͓ŖȂB
[Command]
name = "/command"
command = /a
time = 1
[Command]
name = "/command"
command = /b
time = 1
[Command]
name = "/command"
command = /c
time = 1
[Command]
name = "/command"
command = /x
time = 1
[Command]
name = "/command"
command = /y
time = 1
[Command]
name = "/command"
command = /z
time = 1
[Command]
name = "/command"
command = /s
time = 1
[Command]
name = "/command"
command = /$F
time = 1
[Command]
name = "/command"
command = /$B
time = 1
[Command]
name = "/command"
command = /$U
time = 1
[Command]
name = "/command"
command = /$D
time = 1

;################################################################
;- |2. STATE ENTRY| ---------------------------------------------
;################################################################

[Statedef -1]

;=======================================
; Combo vars
;=======================================
[State -1, Combo1]
type = Varset
trigger1 = 1
var(39) = 0

[State -1, Combo2]
type = Varset
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 500) && animelemtime(8) > 0 && animelemtime(9) < 2
trigger5 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2
ignorehitpause = 1
var(39) = var(39) | 1

[State -1, fakeCombo]
type = Varset
trigger1 = 1
var(42) = 0

[State -1, Combo2]
type = Varset
trigger1 = (stateno = 500) && animelemtime(5) > 1 && animelemtime(7) <= 0
ignorehitpause = 1
var(42) = var(42) | 1

;=======================================
; LDM
;=======================================
;---------------------------------------------------------------------------

;Orochi Kudaki
[State -1, Orochi Kudaki]
type = ChangeState
value = 3200
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Power >= 2000
triggerall = Command = "hcbx2_z"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = (stateno = 1101 || stateno = 1151) && ((fvar(5) > 1000 && !var(26)) || var(26))
trigger5 = stateno = 3002 && ((fvar(5) > 1000 && !var(26)) || var(26)) && animelemtime(6) >= 1 && animelemtime(18) < 0 && movecontact

;Super Kinashi Futa
[State -1, Super Kinashi Futa]
type = ChangeState
value = 3300
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Power >= 2000
triggerall = life <= 250
triggerall = Command = "cB,F,B,F z"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;=======================================
; DM
;=======================================
;---------------------------------------------------------------------------

;Fuji Oroshi
[State -1, Fuji Oroshi]
type = ChangeState
value = 3100
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Power >= 1000
triggerall = (!var(10) && !var(28)) || var(28)
triggerall = Command = "cB,F,B,F a" || Command = "cB,F,B,F b"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;Oni Musou
[State -1, Oni Musou]
type = ChangeState
value = 3000
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Power >= 1000
triggerall = (!var(10) && !var(28)) || var(28)
triggerall = Command = "cB,F,B,F x" || Command = "cB,F,B,F y"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100
trigger5 = (stateno = 1101 || stateno = 1151) && ((fvar(5) > 1000 && !var(26)) || var(26))

;=======================================
; Special Moves
;=======================================
;---------------------------------------------------------------------------
;Super Zutsuki x
[State -1, Super Zutsuki x]
type = ChangeState
value = 1000
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Command = "cB,F x"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100

;Super Zutsuki y
[State -1, Super Zutsuki y]
type = ChangeState
value = 1050
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Command = "cB,F y"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100

;---------------------------------------------------------------------------
;Hyakuretsu Harite a
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1100
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Command = "xxxxx"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 100

;Hyakuretsu Harite a comboed
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1100
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Command = "xxx"; || Command = "xxx"
trigger1 = var(39) = 1
trigger2 = var(42) = 1

;Hyakuretsu Harite b
[State -1, Hyakuretsu Harite b]
type = ChangeState
value = 1150
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Command = "yyyyy"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100

;Hyakuretsu Harite b comboed
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1150
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = Command = "yyy"; || Command = "xxx"
trigger1 = var(39) = 1
trigger2 = var(42) = 1

;---------------------------------------------------------------------------

;Super Hyakkan Otoshi a
[State -1, Somersault Kick]
type = ChangeState
value = 1200
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "cD,U a"
trigger1 = Statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;Super Hyakkan Otoshi b
[State -1, Somersault Kick b]
type = ChangeState
value = 1250
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "cD,U b"
trigger1 = Statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;-------------------------------------------------
;Ooichou Nage
[State -1, Ooichou Nage]
type = ChangeState
value = 1300
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "hcb,F x" || command = "hcb,F y"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;----------------------------------------------

;=======================================
;Throws
;=======================================
;Ground---------------------------------
;Grab Y
[State -1, GrabY ]
type = ChangeState
value = 800
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "y"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = p2bodydist X <= 11
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl

;Grab B
[State -1, GrabB ]
type = ChangeState
value = 850
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = p2bodydist X <= 11
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl

;=======================================
;Basic Commands
;=======================================
;---------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "start"
triggerall = stateno != 190
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------
; Run fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "FF"
triggerall = command != "FBF"
trigger1 = statetype = S
trigger1 = ctrl

; Step back
[State -1, Stp Back]
type = ChangeState
value = 105
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "BB"
triggerall = command != "BFB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
[State -1, VarSet]
type = VarSet
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "recovery"
triggerall = command = "holdback" && command != "holddown"
triggerall = statetype != A
trigger1 = (stateno = 150 || stateno = 152) && !HitShakeOver
var(9) = 3

;K[hLZً}
[State -1, K[hLZً}]
type = ChangeState
value = 750
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = var(9) = 3
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = (stateno = 150 || stateno = 152) && HitShakeOver

;ً}
[State -1, ً}]
type = ChangeState
value = 750
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "recovery"
triggerall = command = "holdback" && command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;---------------------------------------------------------------------------
;NCbNً}
[State -1, NCbNً}]
type = ChangeState
value = 700
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "recovery"
triggerall = command != "holdback" && command != "holddown"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = (stateno = [200,499]) && (movecontact = 1 || movereversed = 1)

[State -1, VarSet]
type = VarSet
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "recovery"
triggerall = command != "holdback" && command != "holddown"
triggerall = statetype != A
trigger1 = (stateno = 150 || stateno = 152) && !HitShakeOver
var(9) = 2

;K[hLZOً}
[State -1, K[hLZOً}]
type = ChangeState
value = 700
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = var(9) = 2
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = (stateno = 150 || stateno = 152) && HitShakeOver

;Oً}
[State -1, Oً}]
type = ChangeState
value = 700
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "recovery"
triggerall = command != "holdback" && command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;---------------------------------------------------------------------------
[State -1, VarSet]
type = VarSet
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "knockdown"
triggerall = statetype != A
trigger1 = (stateno = 150 || stateno = 152) && !HitShakeOver
var(9) = 1

; Knock Down Counter
[State -1,CD counter]
type = ChangeState
value = 525
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = var(9) = 1
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = (stateno = 150 || stateno = 152) && HitShakeOver

;---------------------------------------------------------------------------
; Knock Down
[State -1,Knockdown]
type = ChangeState
value = 500
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "knockdown"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;---------------------------------------------------------------------------
; Knock Down Jumping
[State -1,JCD]
type = ChangeState
value = 550
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "knockdown"
triggerall = statetype = A
trigger1 = ctrl


;=======================================
;Support Attacks
;=======================================

;Harai-geri
[State -1,FHP]
type = ChangeState
value = 300
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b" && (command = "holdfwd"  || command = "holdback")
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;Harai-geri Cancel
[State -1,FHP]
type = ChangeState
value = 301
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b" && (command = "holdfwd"  || command = "holdback")
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2

;--------------------------------------------------------------------------------

;Hara no dageki
[State -1,Hara no dageki]
type = ChangeState
value = 310
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "holddown" && command = "x"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = stateno = 106

;--------------------------------------------------------------------------------

;Rokikku
[State -1,Rokikku]
type = ChangeState
value = 320
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "a" && command = "holdback" && command = "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;=======================================
;Basic Attacks
;=======================================
;Light Punch
[State -1,Lp]
type = ChangeState
value = 200
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "x" && command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = stateno = 200 && animelemtime(3) >= 0
trigger3 = stateno = 230 && animelemtime(3) >= 0
trigger4 = stateno = 400 && animelemtime(3) >= 0
trigger5 = stateno = 420 && animelemtime(3) >= 0

;-----------------------------------------------------------
;Light Kick
[State -1,Lk]
type = ChangeState
value = 220
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "a" && command != "holddown"
triggerall = p2bodydist x > 24
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = stateno = 200 && animelemtime(3) >= 0
trigger3 = stateno = 230 && animelemtime(3) >= 0
trigger4 = stateno = 400 && animelemtime(3) >= 0
trigger5 = stateno = 420 && animelemtime(3) >= 0

;Light Kick Close
[State -1,Lk]
type = ChangeState
value = 230
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "a" && command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = stateno = 200 && animelemtime(3) >= 0
trigger3 = stateno = 230 && animelemtime(3) >= 0
trigger4 = stateno = 400 && animelemtime(3) >= 0
trigger5 = stateno = 420 && animelemtime(3) >= 0

;-----------------------------------------------------------------------
;High Punch
[State -1,hp]
type = ChangeState
value = 240
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "y" && command != "holddown"
triggerall = p2bodydist x > 32
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;High Punch Close
[State -1,hpc]
type = ChangeState
value = 250
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "y" && command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;------------------------------------------------------------------------
;High Kick
[State -1,hk]
type = ChangeState
value = 260
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b" && command != "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;-------------------------------------------------------------------------

;Crouch light Punch
[State -1,CLP]
type = ChangeState
value = 400
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = stateno = 200 && animelemtime(3) >= 0
trigger3 = stateno = 230 && animelemtime(3) >= 0
trigger4 = stateno = 400 && animelemtime(3) >= 0
trigger5 = stateno = 420 && animelemtime(3) >= 0

;Crouch Light Kick
[State -1,CLk]
type = ChangeState
value = 420
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])
trigger2 = stateno = 200 && animelemtime(3) >= 0
trigger3 = stateno = 230 && animelemtime(3) >= 0
trigger4 = stateno = 400 && animelemtime(3) >= 0
trigger5 = stateno = 420 && animelemtime(3) >= 0

;Crouch High Punch
[State -1,Chp]
type = ChangeState
value = 440
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;Crouch High Kick
[State -1,CLk]
type = ChangeState
value = 460
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl || (stateno = [100,101])

;------------------------------------------------------------------------

;Jump Neutral Light Punch
[State -1,JLPN]
type = ChangeState
value = 600
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "x"
triggerall = statetype = A
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump Light Punch
[State -1,JLP]
type = ChangeState
value = 600
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "x"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 41 && ctrl

;Jump Light Kick
[State -1,JLK]
type = ChangeState
value = 620
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "a"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 41 && ctrl

;Jump Neutral Light Kick
[State -1,JLKN]
type = ChangeState
value = 620
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "a"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump Neutral High Punch
[State -1,JHPN]
type = ChangeState
value = 650
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "y"
triggerall = statetype = A && ctrl
trigger1 = vel x = 0
trigger2 = stateno = 41

;Jump High Punch
[State -1,JHP]
type = ChangeState
value = 640
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "y"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl

;Jump High Kick
[State -1,JHK]
type = ChangeState
value = 660
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 41 && ctrl

;Jump Neutral High Kick
[State -1,JHKN]
type = ChangeState
value = 670
triggerall = var(59) != 1
triggerall =!Ishelper
triggerall = roundstate = 2
triggerall = command = "b"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;
; AI
;
;---------------------------------------------------------------------------
; ewp[
;---------------------------------------------------------------------------
[State -1, AINpwp[]
type = Helper
trigger1 = !NumHelper(30000)
trigger1 = !var(59)
helpertype = Normal
name = "AI"
stateno = 30000
ID = 30000
pos = 9999,9999
keyctrl = 1
pausemovetime = 2147483647
supermovetime = 2147483647

[State -1, K[h`FbNwp[]
Type = Helper
triggerall = var(59) = 1
triggerall = RoundState = 2
trigger1 =!NumHelper(30100+id)
trigger1 =!IsHelper
HelperType = Normal
Name = "Guard"
PosType = left
StateNo = 30100
ID = 30100+id
PauseMoveTime = 0
pos=0,9999
pausemovetime=2147483647
supermovetime=2147483647
persistent = 0
IgnoreHitPause = 1
KeyCtrl = 0
Ownpal = 1

[State -1, ѓmFwp[]
Type = Helper
triggerall = var(59) = 1
trigger1 =!NumHelper(30200)
trigger1 =!ishelper
HelperType = Normal
Name = "TOBIDOUGU"
StateNo = 30200
ID = 30200
Pos = 9999,9999
KeyCtrl = 0
persistent = 0
pausemovetime=2147483647
supermovetime=2147483647

[State -1, ѓmFwp[]
Type = Helper
triggerall = var(59) = 1
trigger1 =!NumHelper(30250)
trigger1 =!ishelper
HelperType = Normal
Name = "TOBIDOUGU ITI A"
StateNo = 30250
ID = 30250
Pos = 9999,9999
KeyCtrl = 0
persistent = 0
pausemovetime=2147483647
supermovetime=2147483647

[State -1, ѓmFwp[]
Type = Helper
triggerall = var(59) = 1
trigger1 =!NumHelper(30251)
trigger1 =!ishelper
HelperType = Normal
Name = "TOBIDOUGU ITI B"
StateNo = 30250
ID = 30251
Pos = 9999,9999
KeyCtrl = 0
persistent = 0
pausemovetime=2147483647
supermovetime=2147483647

;---------------------------------------------------------------------------
[State -1, ֌WXe[gɍsȂ悤]
type = ChangeState
trigger1 = ishelper(30000)
trigger1 = stateno != 30000
value = 30000

[State -1, ֌WXe[gɍsȂ悤]
type = ChangeState
trigger1 = ishelper
trigger1 = ishelper(30100+Root,id)
trigger1 = stateno != 30100
value = 30100

[State -1, ֌WXe[gɍsȂ悤]
type = SelfState
trigger1 = ishelper(30200)
trigger1 = stateno != 30200
value = 30200

[State -1, ֌WXe[gɍsȂ悤]
type = SelfState
trigger1 = ishelper(30250) || ishelper(30251)
trigger1 = stateno != 30250
value = 30250

;-----------------------------------------------------------------------------
; AI swich -> ON
;-----------------------------------------------------------------------------
[State -1,{AItO]
type = VarSet
trigger1 =!IsHelper
trigger1 = NumHelper(30000)
trigger1 = Helper(30000),var(59)
var(59) = Helper(30000),var(59)
ignorehitpause = 1

[State -2, {AItO(AZfobOp)]
type = null;VarSet
triggerall = !ishelper
triggerall = var(59) != 1
triggerall = RoundState = 2
trigger1 = stateno = 250 && movehit
var(59) = 1

;-----------------------------------------------------------------------------
;^bOp
;-----------------------------------------------------------------------------
[State -1, VarSet]
Type = VarSet
Trigger1 = NumEnemy = 1
Trigger2 = NumEnemy = 2
Trigger2 = Enemynear,Life > 0
var(58) = 0
IgnoreHitPause = 1
SuperMoveTime = 9999
PauseMoveTime = 9999

[State -1, VarSet]
Type = VarSet
Trigger1 = NumEnemy > 1
Trigger1 = Enemynear,Life = 0
var(58) = 1
IgnoreHitPause = 1
SuperMoveTime = 9999
PauseMoveTime = 9999

;-----------------------------------------------------------------------------
; AIxǗ
;-----------------------------------------------------------------------------
[State -1, ~b^[]
Type = VarSet
trigger1 = var(54) > 8
trigger2 = var(53) > 10
var(54) = 0

[State -1, x]
Type = VarSet
trigger1 = var(53) > var(54) + 2
var(53) = var(54) + 2

;-----------------------------------------------------------------------------
;ē
;-----------------------------------------------------------------------------
[State -1, Zbg]
type = VarSet
trigger1 = var(52) = 0
trigger2 = var(51) > 60
var(51) = 0

[State -1, JEg]
type = VarAdd
trigger1 = var(52) = 1
trigger2 =(var(52) = 2 || var(52) = 3) && enemynear(var(58)),statetype != L
var(51) = 1

;--------------------------------
[State -1, Zbg]
type = VarSet
triggerall = var(52)
trigger1  = roundstate != 2
trigger2  = var(51) >= 60
trigger3  = var(52) = 1 || var(52) = 2
trigger3  = stateno = 800 || stateno = 850 || stateno = 1300 || stateno = 3200
trigger4  = var(52) = 3
trigger4  = stateno = 420
trigger5  = movehit = 1
trigger6  = movetype = H
trigger7  = enemynear(var(58)),statetype = A
trigger8  = enemynear(var(58)),stateno = 5700
trigger9  = var(52) = 1
trigger9  = enemynear(var(58)),statetype = L
;trigger10 = var(52) = 2 || var(52) = 3
;trigger10 = stateno != 55
;trigger10 = (enemynear(var(58)),stateno = 5120 || enemynear(var(58)),stateno = 5693) && enemynear(var(58)),animtime = 0
var(52) = 0

;--------------------------------
[State -1, P]
type = VarSet
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = RoundState = 2
triggerall = Random <= 200
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = p2bodydist x = [-20,50]
triggerall = moveguarded = 1
trigger1 = stateno = 200 || stateno = 230 || stateno = 400 || stateno = 420
trigger3 = stateno = 600 || stateno = 610 || stateno = 620 || stateno = 630
trigger4 = stateno = 640 || stateno = 650 || stateno = 660 || stateno = 670 || stateno = 680
var(52) = 1

[State -1, Q]
type = VarSet
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
trigger1 = enemynear(var(58)),statetype = L
trigger1 = var(48) = 3
var(52) = 2 + (Random%2)

;-----------------------------------------------------------------------------
;̋Nオ̓G𒲂ׂ
;-----------------------------------------------------------------------------
[State -3]
Type = VarSet
Trigger1 = enemynear(var(58)),statetype = L
V = 50
Value = -1
IgnoreHitPause = 1

[State -3]
Type = VarAdd
Triggerall = var(50) > 0
Trigger1 = enemynear(var(58)),statetype != L
V = 50
Value = -1
IgnoreHitPause = 1

[State -3]
Type = VarSet
Triggerall = var(50) = -1
Trigger1 = enemynear(var(58)),statetype != L
V = 50
Value = 12
IgnoreHitPause = 1

;
;Βnk
;
[State -1, Ⴊ]
Type = ChangeState
Value = 10
ctrl = 0
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = teammode = single || teammode = turns
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = Helper(40000),fvar(3) >= 1

[State -1, ]
Type = ChangeState
Value = 12
ctrl = 1
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = teammode = single || teammode = turns
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = stateno = 11 && ctrl = 0
trigger1 = Helper(40000),fvar(3) = 0

;
;ѓ΍
;
;O](ѓ΍)
[State -1, FRoll]
type = ChangeState
value = 700
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || (P2bodydist X >= 160 || var(54) >= 8) && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),MoveType != H
triggerall = InGuardDist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = P2bodydist X >= 200 || (enemynear(var(58)),AnimTime <= -33 && !enemynear(var(58)),Ctrl)
trigger1 = (Enemy,NumHelper > 0 && (Enemy,NumHelper > Helper(30200),var(1))) || Enemy,Numproj != 0
trigger1 = Helper(30250),var(0) = 1 || Helper(30251),var(1) = 1

;
;˂
;
;ߋp`
[State -1, Stand Strong Punch]
type = ChangeState
value = 250
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || var(54) >= 8 && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),ctrl = 0
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = (enemynear(var(58)),stateno = [200,699]) || enemynear(var(58)),stateno >= 1000
triggerall = enemynear(var(58)),animtime <= -7
triggerall = enemy,numproj = 0
triggerall =!InGuardDist || enemynear(var(58)),facing = facing
triggerall = p2bodydist X <= 32
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-5,50]

;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || var(54) >= 8 && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),ctrl = 0
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = (enemynear(var(58)),stateno = [200,699]) || enemynear(var(58)),stateno >= 1000
triggerall = enemynear(var(58)),animtime <= -4
triggerall = enemy,numproj = 0
triggerall =!InGuardDist || enemynear(var(58)),facing = facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-10,65]

[State -1, Super Kinashi Futa]
type = ChangeState
value = 3300
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = Power >= 2000 && life <= 250
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || var(54) >= 8 && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),ctrl = 0
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = (enemynear(var(58)),stateno = [200,699]) || enemynear(var(58)),stateno >= 1000
triggerall = enemy,numproj = 0
triggerall =!InGuardDist || enemynear(var(58)),facing = facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x <= 50 && enemynear(var(58)),AnimTime < -4
trigger2 = p2bodydist x <= 75 && enemynear(var(58)),AnimTime < -8
trigger3 = p2bodydist x <= 100 && enemynear(var(58)),AnimTime < -12
trigger4 = p2bodydist x <= 150 && enemynear(var(58)),AnimTime < -16
trigger5 = p2bodydist x <= 175 && enemynear(var(58)),AnimTime < -20
trigger6 = p2bodydist x <= 200 && enemynear(var(58)),AnimTime < -24
trigger7 = p2bodydist x > 200 && enemynear(var(58)),AnimTime < -28

;Ooichou Nage
[State -1, Ooichou Nage]
type = ChangeState
value = 1300
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = var(15) = 0 && var(16) != 2 && var(50) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || var(54) >= 8 && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),ctrl = 0
triggerall = enemynear(var(58)),stateno != [30,49]
triggerall = enemynear(var(58)),stateno != 105
triggerall = enemynear(var(58)),stateno != [150,155]
triggerall = enemynear(var(58)),stateno != [5100,5299]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = P2BodyDist X = [-10,35]

;_bV(˂)
[state -1, Dash]
type = ChangeState
value = 100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = statetype != A
triggerall = P2Dist X > 0
triggerall = p2bodydist x >= 48
triggerall =!InGuardDist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [120,149])
trigger1 = p2bodydist x > 120 || enemynear(var(58)),facing = facing
trigger1 = enemynear(var(58)),statetype = A
trigger1 = enemynear(var(58)),MoveType = A
trigger1 =!enemynear(var(58)),HitDefAttr = SCA, NA, SA, HA, NP, SP, HP, NT, ST, HT
trigger1 = enemynear(var(58)),Time >= 60
trigger2 = enemynear(var(58)),MoveType != H
trigger2 = enemynear(var(58)),StateType = A
trigger2 =!enemynear(var(58)),Ctrl
trigger2 = enemynear(var(58)),facing = facing

;
;؂Ԃ
;
;Oً}
[State -1, Oً}]
type = ChangeState
value = 700
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = (enemynear(var(58)),time >= (50 - (var(53) * 5))) || (Life <= (var(54) * var(53)) * 8) || (Random <= (var(54) * var(53)) * 4) || enemynear(var(58)),statetype = A || var(53) >= 10
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall = enemynear(var(58)),facing != facing
triggerall =!enemynear(var(58)),HitDefAttr = SCA, AT
triggerall = InGuardDist || NumHelper(30100+id) && Helper(30100+id),InGuardDist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = enemynear(var(58)),statetype != A
trigger1 = p2bodydist x = [-10,ifelse(stateno = 100,160,100)]
trigger1 = enemynear(var(58)),animtime <= -33
trigger2 = var(54) >= 6
trigger2 = enemynear(var(58)),statetype = A
trigger2 = enemynear(var(58)),facing != facing && (p2bodydist x = [-64,32])
trigger2 = enemynear(var(58)),Vel X > 0
trigger2 = p2bodydist y < 0-floor(10*(enemynear(var(58)),vel y)+(10*(10+1)/2)*fvar(29))

;Fuji Oroshi
[State -1, Fuji Oroshi]
type = ChangeState
value = 3100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = Power >= 1000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = enemynear(var(58)),time >= 50-var(53)*5 || (!time && var(53) > 7) || life <= var(54)*var(53)*8 || Random <= var(54)*var(53) || var(53) >= 10
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall = enemynear(var(58)),StateNo >= 200
triggerall = enemynear(var(58)),facing != facing
triggerall = InGuardDist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist X = [-5,40]
trigger1 = enemynear(var(58)),animtime <= -4

;Oni Musou
[State -1, Oni Musou]
type = ChangeState
value = 3000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = Power >= 1000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = enemynear(var(58)),time >= 50-var(53)*5 || (!time && var(53) > 7) || life <= var(54)*var(53)*8 || Random <= var(54)*var(53) || var(53) >= 10
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 250 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall = enemynear(var(58)),StateNo >= 200
triggerall = enemynear(var(58)),facing != facing
triggerall = InGuardDist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist X = [-5,40]
trigger1 = enemynear(var(58)),animtime <= -4

;ً}
[State -1, ً}]
type = ChangeState
value = 710
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = (enemynear(var(58)),time >= (50 - (var(53) * 5))) || (Life <= (var(54) * var(53)) * 8) || (Random <= (var(54) * var(53)) * 4) || enemynear(var(58)),statetype = A || var(53) >= 10
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall =!enemynear(var(58)),HitDefAttr = SCA, AT
triggerall = InGuardDist || NumHelper(30100+id) && Helper(30100+id),InGuardDist
triggerall =!Enemy,NumProj
triggerall = BackEdgeBodyDist >= 20
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = var(54) < 8 && Random <= 100 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 250
trigger1 = enemynear(var(58)),statetype != A
trigger1 = enemynear(var(58)),facing != facing
trigger1 = p2bodydist x = [-10,80]
trigger1 = enemynear(var(58)),animtime <= -20
trigger2 = var(54) >= 6
trigger2 = var(54) < 8 && Random <= 250 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 400
trigger2 = enemynear(var(58)),statetype = A
trigger2 = enemynear(var(58)),facing != facing
trigger2 = p2bodydist x = [0+floor(10*(enemynear(var(58)),vel x)),64+floor(10*(enemynear(var(58)),vel x))]
trigger2 = p2bodydist y < 0-floor(10*(enemynear(var(58)),vel y)+(10*(10+1)/2)*fvar(29))
trigger2 = enemynear(var(58)),Vel Y >= 0
trigger3 = var(54) >= 6
trigger3 = var(54) < 8 && Random <= 250 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 400
trigger3 = enemynear(var(58)),statetype = A
trigger3 = enemynear(var(58)),facing = facing && (p2bodydist x = [-32,64])
trigger3 = p2bodydist y < 0-floor(10*(enemynear(var(58)),vel y)+(10*(10+1)/2)*fvar(29))

[State -1, Wv(Γp)]
type = ChangeState
value = 34
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 100 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 250
triggerall = StateType != A
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-20,100]
trigger1 = enemynear(var(58)),statetype != A
trigger1 = enemynear(var(58)),HitDefAttr = SC, NT, ST, HT

;
;h(K[h)
;
[State -1, ̃K[h̔FȂ]
type = AssertSpecial
trigger1 = var(59) = 1
trigger1 = var(54) >= 1
flag = NoStandGuard
flag2 = NoCrouchGuard
flag3 = NoAirGuard

;---------------------------------------------------------------------------
;K[h
[State -1, Guard]
type = ChangeState
value = ifelse(stateno = 100,101,120)
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = StateType != A || StateType = A && Vel X <= 0
triggerall = RoundState = 2
triggerall = Random <= (var(54) * var(53) * (4 + ((var(54) >= 6) * 2) + ((var(54) >= 7) * 2))) || var(54) >= 6 && Helper(40000),fvar(2) >= 1 || var(54) >= 8 || stateno = 22
triggerall = var(54) < 6 && Random <= 500 || var(54) >= 6
triggerall =!(stateno = [120,159])
triggerall = ctrl || (stateno = [20,22]) || stateno = 100 && time >= 14
trigger1 = inguarddist
trigger2 = enemynear(var(58)),movetype = A
trigger2 = !enemynear(var(58)),hitdefattr = SCA, NT, ST, HT
trigger2 = stateno != 100 || stateno = 100 && p2dist y > -45 || numenemy >= 2
trigger2 = p2bodydist x < 0
trigger2 = p2dist x > 0 || p2dist x < 0
trigger3 = inguarddist
trigger3 = numenemy > 1
trigger3 = enemy(0),numhelper+enemy(1),numhelper > 0 || enemy(0),numproj+enemy(1),numproj > 0
trigger4 = numhelper(30100+id)
trigger4 = helper(30100+id),inguarddist
trigger4 = !enemynear(var(58)),hitdefattr = SCA, NT, ST, HT

;K[hLZOً}
[State -1, K[hLZOً}]
type = ChangeState
value = 700
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall = enemynear(var(58)),StateNo >= 200
triggerall = p2bodydist x = [-5,60]
triggerall = (stateno = 150 || stateno = 152) && HitShakeOver
trigger1 = enemynear(var(58)),statetype != A
trigger1 = enemynear(var(58)),AnimTime <= -40
trigger1 = Random <= 250
trigger2 = enemynear(var(58)),statetype = A
trigger2 = FrontEdgeBodyDist > 60
trigger2 = Random <= 50

;K[hLZً}
[State -1, K[hLZً}]
type = ChangeState
value = 750
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = Random <= 50
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall = enemynear(var(58)),StateNo >= 200
triggerall = p2bodydist x = [-5,60]
triggerall = (stateno = 150 || stateno = 152) && HitShakeOver
trigger1 = enemynear(var(58)),statetype != A
trigger1 = BackEdgeBodyDist > 60

;K[hLZӂƂ΂U
[State -1, Guard Counter Blowback Attack]
type = ChangeState
value = 525
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = Random <= var(54) * 125
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType = A
triggerall = enemynear(var(58)),StateNo >= 200
triggerall = (stateno = 150 || stateno = 152) && HitShakeOver
trigger1 = enemynear(var(58)),statetype != A
trigger1 = p2bodydist x = [-10,60]
trigger1 = Random <= 100
trigger2 = enemynear(var(58)),statetype = A
trigger2 = p2bodydist x = [ifelse(backedgebodydist<=10,-10,-10+floor(2*(enemynear(var(58)),vel x))),36+floor(2*(enemynear(var(58)),vel x))]
trigger2 = p2bodydist y = [-80-floor(2*(enemynear(var(58)),vel y)+(2*(2+1)/2)*fvar(39)),0-floor(2*(enemynear(var(58)),vel y)+(2*(2+1)/2)*fvar(39))]
trigger2 = Random <= 200

;
;AZ
;
;==============================================================================
;̘AZ
;==============================================================================
[State -1, Zbg]
type = varset
triggerall = var(59) = 1
triggerall = var(49)
trigger1 = stateno = [5000,5270]
trigger2 = enemynear(var(58)),statetype = L
trigger3 = enemynear(var(58)),movetype = A
trigger4 = enemynear(var(58)),movetype != H
trigger5 = enemynear(var(58)),stateno = [0,159]
trigger6 = enemynear(var(58)),ctrl=1
trigger7 = roundstate != 2
trigger8 = stateno = 1000 || stateno = 1050 || stateno = 3300
var(49) = 0

;-------------------------------------------------------------------------------
;xmC@ǌ
;-------------------------------------------------------------------------------
[State -1, xmC@qbgmF]
type = varset
triggerall = var(59) = 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = enemynear(var(58)),statetype = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
trigger1 = stateno = 3110 && movehit
var(49) = 1

[State -1, Super Kinashi Futa]
type = ChangeState
value = 3300
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(49) = 1
triggerall = Power >= 2000 && life <= 250
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = p2bodydist y = [-40-floor(4*(enemynear(var(58)),vel y)+(4*(4+1)/2)*fvar(39)),0-floor(4*(enemynear(var(58)),vel y)+(4*(4+1)/2)*fvar(39))]
trigger1 = ctrl || stateno = 0 || (stateno = [19,21]) || (stateno = [99,101]) || (stateno = [120,149])

[State -1, Super Zutsuki x]
type = ChangeState
value = 1000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(49) = 1
triggerall = life > 250 || life <= 250 && Power < 2000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = p2bodydist x <= 100
triggerall = p2bodydist y = [-40-floor(12*(enemynear(var(58)),vel y)+(12*(12+1)/2)*fvar(39)),0-floor(12*(enemynear(var(58)),vel y)+(12*(12+1)/2)*fvar(39))]
trigger1 = ctrl || stateno = 0 || (stateno = [19,21]) || (stateno = [99,101]) || (stateno = [120,149])

;==============================================================================
;WvUEK[hNbV̌q
;==============================================================================
;ߋp`
[State -1, Stand Strong Punch]
type = ChangeState
value = 250
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = enemynear(var(58)),GetHitVar(HitTime) >= 7
triggerall = enemynear(var(58)),stateno != [120,159]
triggerall = P2BodyDist X = [-5,50]
triggerall = p2bodydist X <= 32
trigger1 = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])

;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = enemynear(var(58)),GetHitVar(HitTime) = 4
triggerall = enemynear(var(58)),stateno != [120,159]
triggerall = p2bodydist X = [-10,60]
trigger1 = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])

;==============================================================================
;q
;==============================================================================
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = p2bodydist x = [-5,40]
triggerall = movecontact
trigger1 = stateno = 200 && animelemtime(3) >= 0
trigger2 = stateno = 230 && animelemtime(3) >= 0
trigger3 = stateno = 400 && animelemtime(3) >= 0
trigger4 = stateno = 420 && animelemtime(3) >= 0

;==============================================================================
;MAX2
;==============================================================================
[State -1, Super Kinashi Futa]
type = ChangeState
value = 3300
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = Power >= 2000 && life <= 250
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movehit
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

;==============================================================================
;[_[KEZ
;==============================================================================

;==============================================================================
;KEZ
;==============================================================================
[State -1, Oni Musou]
type = ChangeState
value = 3000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = power >= 1000 && ((fvar(5) > 1000 && !var(26)) || var(26))
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movehit
trigger1 = stateno = 1101 && (animelemtime(7) > 0 && animelemtime(10) < 0 || p2bodydist X > 70)
trigger2 = stateno = 1151 && (animelemtime(7) > 0 && animelemtime(10) < 0 || p2bodydist X > 70)

[State -1, Fuji Oroshi]
type = ChangeState
value = 3100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = power >= 1000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = random <= 400 || Power >= 3000 && life <= 250
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = p2bodydist X = [-5,30]
triggerall = movehit
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

[State -1, Oni Musou]
type = ChangeState
value = 3000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = power >= 1000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movehit
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

;------------------------------------------------------------------------------
;KEZ
;------------------------------------------------------------------------------
;Hyakuretsu Harite a
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = power >= 1000 && ((fvar(5) > 1000 && !var(26)) || var(26))
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = random <= 400
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movehit
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

;Ooichou Nage
[State -1, Ooichou Nage]
type = ChangeState
value = 1300
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = random <= 600
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = p2bodydist X = [-5,30]
triggerall = movehit
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

;Hyakuretsu Harite a
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movehit
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2

;Super Zutsuki y
[State -1, Super Zutsuki y]
type = ChangeState
value = 1050
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movecontact
trigger1 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger2 = (stateno = 500) && animelemtime(8) > 0 && animelemtime(9) < 2 && moveguarded
trigger3 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

[State -1, Super Zutsuki x]
type = ChangeState
value = 1000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(54) < 6 && Random <= 100 || var(54) >= 6
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = H
triggerall = movecontact
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 2
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 2
trigger4 = (stateno = 500) && animelemtime(8) > 0 && animelemtime(9) < 2 && moveguarded
trigger5 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 2

;
;NU
;
;---------------------------------------------------------------------------
;NU
;---------------------------------------------------------------------------
[State -1, NUߑI]
type = VarSet
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = var(48) = 0
triggerall = roundstate = 2
triggerall = enemynear(var(58)),statetype = L && enemynear(var(58)),movetype != A
triggerall = enemynear(var(58)),ctrl = 0
triggerall = enemynear(var(58)),stateno != 5120 || enemynear(var(58)),animtime < -4
trigger1 = statetype != L && movetype != H
trigger1 = p2bodydist X <= 150
var(48) = 1 + (Random % 6)

[State -1, Zbg]
type = VarSet
triggerall = var(48) != 0
trigger1 = roundstate != 2 || movetype = H || movetype = A || statetype = L
var(48) = 0

[State -1, Zbg]
type = VarSet
triggerall = var(48) != 0
trigger1 = var(48) = 1 && enemynear(var(58)),stateno = 5120
trigger1 = enemynear(var(58)),animtime = 0
trigger2 = var(48) = 2 && enemynear(var(58)),stateno = 5120
trigger2 = enemynear(var(58)),animtime > -6
trigger2 = !((stateno = [30,39]) || statetype = A)
trigger3 = var(48) = 3 && enemynear(var(58)),stateno = 5120
trigger3 = enemynear(var(58)),animtime = 0
trigger4 = var(48) = 4 && enemynear(var(58)),stateno = 5120
trigger5 = (var(48) = [5,6]) && enemynear(var(58)),stateno = 5120
trigger5 = enemynear(var(58)),animtime > -8
var(48) = 10

[State -1, ႪݎLbN iNU]
type = ChangeState
value = 420
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) = 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2BodyDist X = [-20,40]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = enemynear(var(58)),stateno = 5120
trigger1 = enemynear(var(58)),animtime = -3

[State -1, ^Wv iNU]
Type = ChangeState
Value = ifelse(p2bodydist X >= 80,34,32)
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) = 2
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2BodyDist X = [-20,120]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = enemynear(var(58)),stateno = 5120
trigger1 = enemynear(var(58)),animtime = [-18,-12]

[State -1, ΂߃WvLbN NU]
type = ChangeState
value = 660
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) = 2
triggerall = RoundState = 2
triggerall = StateType = A
triggerall = ctrl || stateno = 55
trigger1 = Vel Y > 0

[State -1, ^Wv XJVNU]
Type = ChangeState
Value = ifelse(p2bodydist X >= 80,34,ifelse(p2bodydist X <= 10,39,32))
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) = 3
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2BodyDist X = [-20,120]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = enemynear(var(58)),stateno = 5120
trigger1 = enemynear(var(58)),animtime = [-24,-10]

[State -1, OWv ߂NU]
type = ChangeState
value = 34
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) = [5,6]
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2BodyDist X = [-40,40]
triggerall = enemynear(var(58)),frontedgebodydist > 10 && enemynear(var(58)),backedgebodydist > 10
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = enemynear(var(58)),stateno = 5120
trigger1 = enemynear(var(58)),animtime = [-20,-10]

[State -1, OWv [Eo]
type = ChangeState
value = 36
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype = L
triggerall = enemynear(var(58)),stateno != 5120
triggerall = p2bodydist X <= 80
triggerall = BackEdgeBodyDist <= 20
triggerall =!Inguarddist
trigger1 = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])

;---------------------------------------------------------------------------
;ʒu
;---------------------------------------------------------------------------
[State -1, _bV NU߈ʒu(NUߗp)]
Type = ChangeState
Value = 100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) = 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall =!inguarddist
triggerall =!enemy,numproj
triggerall = p2bodydist x >= 20
triggerall = ctrl || (stateno = [20,22]) || (stateno = [120,149])
trigger1 = (enemynear(var(58)),stateno = 5120 || enemynear(var(58)),stateno = 5693)
trigger1 = enemynear(var(58)),animtime >= -10

[State -1, _bV NU߈ʒu]
Type = ChangeState
Value = 100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall =!inguarddist
triggerall =!enemy,numproj
triggerall = p2bodydist x >= 120
triggerall = ctrl || (stateno = [20,22]) || (stateno = [120,149])
trigger1 = enemynear(var(58)),StateType = A
trigger1 = enemynear(var(58)),StateNo = [5000,5100]
trigger2 = enemynear(var(58)),StateType = L
trigger3 = enemynear(var(58)),StateNo = 1391

;---------------------------------------------------------------------------
[State -1, ~]
type = ChangeState
value = 0
ctrl = 1
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = enemynear(var(58)),StateType = L || enemynear(var(58)),StateNo = 1391
triggerall = stateno = 21 || stateno = 22
trigger1 = var(48) != 1
trigger1 = P2BodyDist X = [44,52]
trigger2 = var(48) = 1
trigger2 = P2BodyDist X = [20,28]

[State -1, Oi(NU߈ʒu)]
type = ChangeState
value = 21
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = enemynear(var(58)),StateType = L || enemynear(var(58)),StateNo = 1391
triggerall = ctrl || stateno = 22 && Time >= 8
trigger1 = var(48) != 1
trigger1 = P2BodyDist X > 52
trigger2 = var(48) = 1
trigger2 = P2BodyDist X > 28

[State -1, (NU߈ʒu)]
type = ChangeState
value = 22
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall =!inguarddist
triggerall = enemynear(var(58)),StateType = L || enemynear(var(58)),StateNo = 5622
triggerall = ctrl || stateno = 21 && Time >= 8
trigger1 = var(48) != 1
trigger1 = P2BodyDist X < 44
trigger2 = var(48) = 1
trigger2 = P2BodyDist X < 20

;
;AZU(n)
;
;---------------------------------------------------------------------------
;
;---------------------------------------------------------------------------
;Orochi Kudaki
[State -1, Orochi Kudaki]
type = ChangeState
value = 3200
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(15) = 0 && var(16) != 2 && var(50) = 0
triggerall = Power >= 2000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(52) = 0 && (var(54) < 8 && Random <= 100 || var(54) >= 8 && Random <= 250) || var(52) >= 1 && Random <= 600 || var(54) >= 6 && p2life <= floor((60*fvar(7))*fvar(5))
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [30,49]
triggerall = enemynear(var(58)),stateno != 105
triggerall = enemynear(var(58)),stateno != [150,155]
triggerall = enemynear(var(58)),stateno != [5100,5299]
triggerall = enemynear(var(58)),stateno != 5700
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall = p2bodydist x = [-10,43]
trigger1 = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])

;Ooichou Nage
[State -1, Ooichou Nage]
type = ChangeState
value = 1300
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(15) = 0 && var(16) != 2 && var(50) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(52) = 0 && (var(54) < 8 && Random <= 100 || var(54) >= 8 && Random <= 250) || var(52) >= 1 && Random <= 600
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [30,49]
triggerall = enemynear(var(58)),stateno != 105
triggerall = enemynear(var(58)),stateno != [150,155]
triggerall = enemynear(var(58)),stateno != [5100,5299]
triggerall = enemynear(var(58)),stateno != 5700
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall = p2bodydist x = [-10,35]
trigger1 = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])

;K
[State -1, Throw]
type = ChangeState
value = 850
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(15) = 0 && var(16) != 2 && var(50) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(52) = 0 && (var(54) < 8 && Random <= 100 || var(54) >= 8 && Random <= 250); || var(52) >= 1 && Random <= 600
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [30,49]
triggerall = enemynear(var(58)),stateno != 105
triggerall = enemynear(var(58)),stateno != [150,155]
triggerall = enemynear(var(58)),stateno != [5100,5299]
triggerall = enemynear(var(58)),stateno != 5700
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall = backedgedist <= 120
triggerall = p2bodydist x = [-10,11]
trigger1 = ctrl || (stateno = [20,22]) || stateno = 100 && time >= 14 || (stateno = [120,149])

;P
[State -1, Throw]
type = ChangeState
value = 800
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(15) = 0 && var(16) != 2 && var(50) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = var(52) = 0 && (var(54) < 8 && Random <= 100 || var(54) >= 8 && Random <= 250); || var(52) >= 1 && Random <= 600
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [30,49]
triggerall = enemynear(var(58)),stateno != 105
triggerall = enemynear(var(58)),stateno != [150,155]
triggerall = enemynear(var(58)),stateno != [5100,5299]
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall = backedgedist > 120
triggerall = p2bodydist x = [-10,11]
trigger1 = ctrl || (stateno = [20,22]) || stateno = 100 && time >= 14 || (stateno = [120,149])

;---------------------------------------------------------------------------
;΋
;---------------------------------------------------------------------------
;Fuji Oroshi
[State -1, Fuji Oroshi]
type = ChangeState
value = 3100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = Power >= 1000
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 100 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 250
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype = A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
;triggerall = enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-10+floor(4*(enemynear(var(58)),vel x)),40+floor(4*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-50-floor(4*(enemynear(var(58)),vel y)+(4*(4+1)/2)*fvar(39)),0-floor(4*(enemynear(var(58)),vel y)+(4*(4+1)/2)*fvar(39))]

;Super Hyakkan Otoshi a
[State -1, Somersault Kick]
type = ChangeState
value = 1200
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 100 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 250
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype = A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
;triggerall = enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-5+floor(13*(enemynear(var(58)),vel x)),55+floor(13*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-60-floor(13*(enemynear(var(58)),vel y)+(13*(13+1)/2)*fvar(39)),0-floor(13*(enemynear(var(58)),vel y)+(13*(13+1)/2)*fvar(39))]

[State -1, Super Zutsuki x]
type = ChangeState
value = 1000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((var(54) * 12.5) * var(53))
triggerall = var(54) < 8 && Random <= 100 || (var(54) >= 7 && Helper(40000),fvar(2) >= 1 || var(54) >= 8) && Random <= 250
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype = A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
;triggerall = enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [ifelse(backedgebodydist<=10,-20,-20+floor(7*(enemynear(var(58)),vel x))),20+floor(7*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-48-floor(7*(enemynear(var(58)),vel y)+(7*(7+1)/2)*fvar(39)),0-floor(7*(enemynear(var(58)),vel y)+(7*(7+1)/2)*fvar(39))]

[State -1, Wv]
Type = ChangeState
value = 37
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= ((20 + (var(54) * 10)) * var(56))
triggerall = var(54) < 8 && Random <= 100 || var(54) >= 8 && Random <= 250
triggerall = statetype != A
triggerall = enemynear(var(58)),StateType = A
Triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
triggerall = enemynear(var(58)),facing != facing
triggerall =!InGuardDist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,102]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-28+floor(12*(enemynear(var(58)),vel x)),28+floor(12*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-100-floor(12*(enemynear(var(58)),vel y)+(12*(12+1)/2)*fvar(39)),-60-floor(12*(enemynear(var(58)),vel y)+(12*(12+1)/2)*fvar(39))]

;---------------------------------------------------------------------------
;i
;---------------------------------------------------------------------------
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 420
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = I || ((enemynear(var(58)),stateno = [120,159]) && Random <= 250)
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!InGuardDist || enemynear(var(58)),facing = facing
triggerall = p2bodydist x = [-5,40]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = var(52) = 0
trigger1 = Random <= 100 * ifelse(enemynear(var(58)),statetype = S,1,0.25)
trigger2 = var(52) = 3
trigger2 = Random <= 250

;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 460
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = I || ((enemynear(var(58)),stateno = [120,159]) && Random <= 250)
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!InGuardDist
triggerall = p2bodydist x = [40,70]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = Random <= 25 && ifelse(enemynear(var(58)),statetype = S,1,Random <= 250)

;Harai-geri
[State -1,FHP]
type = ChangeState
value = 300
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = I || ((enemynear(var(58)),stateno = [120,159]) && Random <= 250)
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!InGuardDist
triggerall = p2bodydist x = [80,110]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = Random <= 25 && ifelse(enemynear(var(58)),statetype = S,1,Random <= 250)

;---------------------------------------------------------------------------
;i
;---------------------------------------------------------------------------
[State -1, OWv(i)]
type = ChangeState
value = 32
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = I || ((enemynear(var(58)),stateno = [120,159]) && Random <= 250)
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!InGuardDist
triggerall = p2bodydist x = [25,80]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = Random <= 25 && ifelse(enemynear(var(58)),statetype = C,1,Random <= 250)

[State -1, OWv(i)]
type = ChangeState
value = 34
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = I || ((enemynear(var(58)),stateno = [120,159]) && Random <= 250)
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!InGuardDist
triggerall = p2bodydist x = [60,120]
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = Random <= 25 && ifelse(enemynear(var(58)),statetype = C,1,Random <= 250)

;---------------------------------------------------------------------------
;i
;---------------------------------------------------------------------------
;ߋp`
[State -1, Stand Strong Punch]
type = ChangeState
value = 250
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 100
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall =!InGuardDist || enemynear(var(58)),facing = facing
triggerall = p2bodydist X <= 32
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-5,50]

;Ⴊݎp`
[State -1, Stand Strong Punch]
type = ChangeState
value = 400
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 50
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-5,80]

;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = p2bodydist x > 16
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-5,85]
trigger1 = Random <= 50
trigger2 = p2bodydist X >= 140
trigger2 = Random <= 10

;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 220
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 50
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [40,90]

[State -1,Rokikku]
type = ChangeState
value = 320
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 50
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [50,85]

;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 240
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 25
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [55,90]

;LbN
[State -1, Stand Strong Kick]
type = ChangeState
value = 260
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 25
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [55,90]

;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 440
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 25
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [65,100]

;Knock Down
[State -1, Knockdown]
type = ChangeState
value = 500
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 25
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != 5700 && enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [45,75]

;---------------------------------------------------------------------------
;̑
;---------------------------------------------------------------------------
[State -1, Super Zutsuki x]
type = ChangeState
value = 1000
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 25
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist X = [50,100]

[State -1, Super Zutsuki y]
type = ChangeState
value = 1050
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) = 0
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall =!Enemy,NumProj && enemynear(var(58)),facing != facing
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist X = [80,160]

;
;AZU()
;
[State -1, Hara no dageki]
type = ChangeState
value = 310
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(48) != 2 && (var(52) != [2,3])
triggerall = RoundState = 2 && enemynear(var(58)),life > 0
triggerall = statetype = A
triggerall = enemynear(var(58)),BackEdgeBodyDist >= 20
triggerall = p2dist X = [-100,28]
triggerall = enemynear(var(58)),statetype != L || enemynear(var(58)),stateno = 5120 && enemynear(var(58)),animtime = 0
triggerall = Vel X > 0
triggerall = ctrl
trigger1 = Time >= 18

;Jump Light Punch
[State -1,JLP]
type = ChangeState
value = 600
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 600
triggerall = statetype = A
triggerall = enemynear(var(58)),StateType = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
triggerall = ctrl
trigger1 = p2bodydist x = [-20+floor(5*(enemynear(var(58)),vel x)),44+floor(5*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-20-floor(5*(enemynear(var(58)),vel y)+(5*(5+1)/2)*fvar(39)),20-floor(5*(enemynear(var(58)),vel y)+(5*(5+1)/2)*fvar(39))]

;Jump High Punch
[State -1,JHP]
type = ChangeState
value = 640
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 600
triggerall = statetype = A
triggerall = enemynear(var(58)),StateType = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
triggerall = ctrl && (vel x != 0 || stateno = 41)
trigger1 = p2bodydist x = [-20+floor(8*(enemynear(var(58)),vel x)),56+floor(8*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-40-floor(8*(enemynear(var(58)),vel y)+(8*(8+1)/2)*fvar(39)),0-floor(8*(enemynear(var(58)),vel y)+(8*(8+1)/2)*fvar(39))]

;Jump Neutral High Punch
[State -1,JHPN]
type = ChangeState
value = 650
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 600
triggerall = statetype = A
triggerall = enemynear(var(58)),StateType = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
triggerall = ctrl && vel x = 0 && stateno != 41
trigger1 = p2bodydist x = [-20+floor(10*(enemynear(var(58)),vel x)),72+floor(10*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-40-floor(10*(enemynear(var(58)),vel y)+(10*(10+1)/2)*fvar(39)),0-floor(10*(enemynear(var(58)),vel y)+(10*(10+1)/2)*fvar(39))]

;Jump High Kick
[State -1,JHK]
type = ChangeState
value = 660
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(52) != 2 && var(52) != 3
triggerall = RoundState = 2 && enemynear(var(58)),life > 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 600
triggerall = statetype = A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),stateno != [5020,5040]
triggerall = ctrl && (vel x != 0 || stateno = 41)
trigger1 = stateno != 41 && Vel Y >= 0 && Pos Y >= -52-floor(9*vel Y) || stateno = 41 && Time >= 19
trigger1 = p2bodydist x = [-20,60+floor(9*(EnemyNear(Var(58)),vel X)+floor(9*vel X))]
trigger1 = p2dist X > 0 || BackEdgeBodyDist <= 20

; Knock Down Jumping
[state -3,JCD]
type = ChangeState
value = 550
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2 && enemynear(var(58)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(54) * 125
triggerall = Random <= 600
triggerall = statetype = A
triggerall = enemynear(var(58)),StateType = A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),MoveType != H
triggerall = enemynear(var(58)),stateno != [5020,5040]
triggerall = ctrl
trigger1 = p2bodydist x = [-20+floor(11*(enemynear(var(58)),vel x)),56+floor(11*(enemynear(var(58)),vel x))]
trigger1 = p2bodydist y = [-40-floor(11*(enemynear(var(58)),vel y)+(11*(11+1)/2)*fvar(39)),20-floor(11*(enemynear(var(58)),vel y)+(11*(11+1)/2)*fvar(39))]

;
;˔qȂs(x6ȉ)AGZԂ(x6)
;
;---------------------------------------------------------------------------
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(59) = 1
triggerall = var(54) = [1,5]
triggerall = RoundState = 2 && enemynear(var(54)),life > 0 && Helper(40000),fvar(1) = 0
triggerall = Random <= var(57) * 125
triggerall = Random <= 50 * ((p2statetype = L || NumPartner) * 4)
triggerall = statetype != A
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist X >= 120

;
;ړ
;
[State -1, ̕s̔FȂ]
type = AssertSpecial
trigger1 = var(59) = 1
trigger1 = var(54) >= 1
flag = NoWalk

;---------------------------------------------------------------------------
;_bV
[State -1, RUN]
type = ChangeState
value = 100
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = Random <= var(54) * 125
triggerall = RoundState = 2
triggerall = statetype != A
triggerall =!inguarddist
triggerall =!enemy,numproj
triggerall = ctrl || (stateno = [20,22]) || (stateno = [120,149])
trigger1 = p2bodydist x >= 240
trigger1 = Random <= 200
trigger2 = p2bodydist x = [200,240]
trigger2 = Random <= 100
trigger3 = p2bodydist x = [160,200]
trigger3 = Random <= 50
trigger4 = p2bodydist x = [120,160]
trigger4 = Random <= 25
trigger4 = p2bodydist x = [80,120]
trigger4 = Random <= 10
trigger5 = var(52) = 1 && p2bodydist x >= 60

[State -1, Oi]
type = ChangeState
value = 21
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(49) = 0
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = StateType != A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),StateNo != [5120,5299]
triggerall = (PrevStateNo != [140,155]) || P2BodyDist X > 120
triggerall =!inguarddist
triggerall =!enemy,numproj
triggerall = ctrl || stateno = 22 && Time >= 12 || (stateno = [120,149])
trigger1 =(P2BodyDist X = [20,120]) || enemynear(var(58)),facing = facing
trigger1 = Random <= 50
trigger2 = P2BodyDist X >= 120
trigger2 = Random <= 100
trigger3 = backedgebodydist <= 20
trigger4 = var(52)

[State -1, ]
type = ChangeState
value = 22
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = var(49) = 0
triggerall =!var(52)
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = StateType != A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),StateNo != [5120,5299]
triggerall = backedgebodydist > 20
triggerall =!inguarddist
triggerall =!enemy,numproj
triggerall = ctrl || stateno = 21 && Time >= 12 || (stateno = [120,149])
trigger1 = P2BodyDist X = [-10,60]
trigger1 = Random <= 100
trigger2 = P2BodyDist X = [90,160]
trigger2 = Random <= 50
trigger3 =(PrevStateNo = [140,155]) && P2BodyDist X <= 120
trigger3 = Random <= 50

[State -1, Wv]
Type = ChangeState
value = 39
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = Random <= 10
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),StateNo != [5000,5120]
triggerall = enemynear(var(58)),stateno != [5710,5715]
triggerall = !enemy,numproj
triggerall = ctrl || (stateno = [20,22]) || (stateno = [120,149])
trigger1 = p2bodydist x = [-10,20]

[State -1, OWv]
Type = ChangeState
value = 32
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = Random <= 10
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),StateNo != [5000,5120]
triggerall = !inguarddist
triggerall = ctrl || (stateno = [20,22])
trigger1 = p2bodydist x = [40,80]

[State -1, OWv]
Type = ChangeState
value = ifelse(Random<=500,36,34);34
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = Random <= 10
triggerall = StateType != A
triggerall = enemynear(var(58)),statetype != A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),StateNo != [5000,5120]
triggerall = !inguarddist
triggerall = !enemy,numproj
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [80,140]

[State -1, OWv]
Type = ChangeState
value = 36
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = StateType != A
triggerall = enemynear(var(58)),StateType != L
triggerall = enemynear(var(58)),movetype != H
triggerall = enemynear(var(58)),StateNo != [5000,5120]
triggerall =!inguarddist
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [100,160]
trigger1 = Random <= 10
trigger2 = p2bodydist x = [60,90]
trigger2 = Random <= 50

[State -1, Wv]
Type = ChangeState
value = 31
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = Random <= 10
triggerall = StateType != A
triggerall = !inguarddist
triggerall = enemynear(var(58)),movetype != H
triggerall = (enemynear(var(58)),MoveType != A && enemynear(var(58)),statetype != A)
triggerall = ctrl || (stateno = [20,22])
trigger1 = p2bodydist x = [60,120]

[State -1, Wv]
Type = ChangeState
value = 37
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = Random <= 10
triggerall = StateType != A
triggerall = !inguarddist
triggerall = enemynear(var(58)),movetype != H
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [60,90]

;obNXebv
[State -1, Back Step]
type = ChangeState
value = 105
triggerall = var(59) = 1
triggerall = var(54) >= 1
triggerall = RoundState = 2
triggerall = Random <= var(54) * 125
triggerall = Random <= 25
triggerall = statetype != A
triggerall = BackEdgeBodyDist > 60
triggerall = ctrl || (stateno = [20,22]) || (stateno = [100,101]) || (stateno = [120,149])
trigger1 = p2bodydist x = [80,140]
trigger1 = enemynear(var(58)),movetype = I
trigger1 = enemynear(var(58)),statetype != A
trigger1 = EnemyNear(var(58)),facing != facing
trigger1 =!Enemy,NumProj

[State -1, Hara no dageki]
type = ChangeState
value = 310
triggerall = var(59) = 1
triggerall = var(54) >= 6
triggerall = RoundState = 2
triggerall = statetype = A
trigger1 = stateno = 106

;
;̑
;
;Ȃ

;̉Asȏ󂯂鎖B
